# Cerberus

Проект демонстрирует:

1. Генерацию и использование **256-битных ключей** (либо автоматически, либо пользовательских в hex-формате).
2. **Обмен ключами по звуку** с помощью `sound find` (BFSK-модуляция).
3. **Шифрование и расшифрование** командой `cerber maketea` / `cerber drinktea` на базе **ChaCha20-Poly1305** (через Monocypher).
4. Простейший **web-сервер** (`web start/stop`) и установка **ника** (`nick set`).

## Зависимости

- **C++17** компилятор (clang++ или g++)
- **PortAudio**:
  - macOS: `brew install portaudio`
  - Linux (Debian/Ubuntu): `sudo apt-get install portaudio19-dev`
  - Windows: через vcpkg (`vcpkg install portaudio`) или другие способы
- (Опционально) `make` (если используете предоставленный Makefile)

## Сборка

```bash
make
```


