#pragma once
#include <vector>
#include <cstdint>

constexpr double BFSK_FREQ0=1000.0;
constexpr double BFSK_FREQ1=2000.0;
constexpr double BFSK_BAUD=100.0;
constexpr int SAMPLE_RATE=44100;

std::vector<float> bfskModulate(const std::vector<uint8_t> &data);
std::vector<uint8_t> bfskDemodulate(const std::vector<float> &monoData);
